<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
header("Content-Type:text/html; charset=utf-8");
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 
$sede=$_GET['sede'];
$carrera=$_GET['carrera'];
$grupo=$_GET['grupo'];
$periodo=$_GET['periodo'];

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$codigo_periodo=$row2['codigo'];
$descripcion='('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';

//Datos de la Sede
$sql2 = "select * from sedes where codigo='$sede'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$nombre_sede=$row2['nombre_sede'];

//Datos de la Carrera
$sql2 = "select * from carreras where id_carrera='$carrera'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$nombre_carrera=$row2['nombre_carrera'];


// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query = "Select
alumnos.cedula,
alumnos.apellidos,
alumnos.nombres,
alumnos.telefonoh,
alumnos.telefonoc,
alumnos.telefonot,
alumnos.email,
carreras.nombre_carrera,
periodos.codigo,
sedes.nombre_sede
From
alumnos
Inner Join carreras_alumno ON alumnos.id_alumno = carreras_alumno.id_alumno
Inner Join carreras ON carreras_alumno.cod_carrera = carreras.id_carrera
Inner Join periodos ON carreras_alumno.periodo_ingreso = periodos.id_periodo
Inner Join sedes ON carreras_alumno.sede = sedes.codigo
where 
carreras_alumno.cod_carrera='$carrera' AND carreras_alumno.periodo_ingreso='$periodo' AND carreras_alumno.grupo='$grupo'  and carreras_alumno.sede='$sede' and carreras_alumno.status='A'
order by
alumnos.apellidos,alumnos.nombres";
// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 

// Numero de Filas.
$totalRows = mysql_num_rows($result);

// Se genera la linea de encabezado del archivo.
$linea='username;password;firstname;lastname;email;city;country';

// Apertura del archivo texto
$nombre_archivo = 'moodle_'.$sede.'_'.$carrera.'_'.date('d-m-Y').'.txt';
$carpeta_destino = dirname(__FILE__);
$archivo = $carpeta_destino ."/".$nombre_archivo;
$archivo = fopen ($archivo, "w+");
$contenido='';
// Inserción del encabezado del archivo. chr(13).chr(10), forman el salto de linea.
fwrite($archivo, $linea.chr(13).chr(10));
$contenido=$contenido.$linea.chr(13).chr(10);
while ($row = mysql_fetch_row($result)) {
    // Primer nombre del participante
    $pos=strpos($row[2],' ');
	if($pos===false) {
	   // Participante tiene solo un nombre.
	   $nombre=$row[2];
	}
	else {    
	   // Participante tiene dos nombres.
	   $nombre=substr($row[2],0,$pos);
	}
	$nombre=utf8_decode($nombre);
	
	// Primer apellido del participante
	$pos=strpos($row[1],' ');
	if($pos===false){
	   // Participante tiene solo un apellido. 
	   $apellido=$row[1];
	}
	else{
	   // Participante tiene dos un apellido.
	   $apellido=substr($row[1],0,$pos);
	}
	$apellido=utf8_decode($apellido);
		
	// Username, se toma la combinacion del primer nombre y primer apellido del participante separdo por punto.	
	$username=strtolower($nombre).'.'.strtolower($apellido);
	
	// Password, se toma  pro defecto la cédula del participante
	$password      = $row[0];  
	
	// Primer nombre del participante
	$firstname=ucfirst(strtolower($nombre));
	
	// Primer apellido del participante
	$lastname=ucfirst(strtolower($apellido));
	
	// Dirección electrónica del participante
	$email=$row[6];
	
	// Sede del participante
	$ciudad=utf8_decode(ucwords(strtolower($nombre_sede)));  // cedula
	
	// Pais del participante. 
	$pais='Venezuela';
	
	// Inserción del participante en el archivo
    $linea=$username.';'.$password.';'.$firstname.';'.$lastname.';'.$email.';'.$ciudad.';'.'Venezuela';
     $contenido=$contenido.$linea.chr(13).chr(10);
	fwrite($archivo, $linea.chr(13).chr(10));
}
// Cierre del archivo 
fclose($archivo);

header( "Content-Type: application/octet-stream");
header( "Content-Disposition: attachment; filename=".$nombre_archivo.""); 
print($contenido);

//echo "<a href=\"".$archivo."\">Descargar</a>";
//echo "<a href=../../".$archivo." target="contenido">Listado Moodle</a>";
					   
?>